/* Fondo principal Torneos Elite */
.torneos {
    background-image: linear-gradient(rgba(0,0,0,0.6),rgba(0,0,0,0.6)), url('../images/fondo_arabia.png');
    background-size: cover;
    background-position: center;
}

/* Fondos para secciones*/

.logo-centrado {
  width: 100%;
  text-align: center;
  margin-top: 50px;
}

.logo-centrado img {
  width: 180px;
  margin:0px auto;
}

.logo-inscripcion {
    width: 150px;
}

.fondo-arena {
  padding: 50px 0;
  background-image: linear-gradient(rgba(0,0,0,0.6),rgba(0,0,0,0.6)), url('../images/fondo_arena.png');
  background-position: center;
  background-size: cover;
}

.fondo-nomada-encurso {
  padding: 50px 0;
  background-image: linear-gradient(rgba(0,0,0,0.6),rgba(0,0,0,0.6)), url('../images/fondo_nomada.png');
  background-position: center;
  background-size: cover;
}

/* Información principal */

.enlace, .enlace-nomada, .enlace-arabia, .enlace-inscripcion {
    width: 170px;
    text-align: center;
    display: block;
    padding: 15px 15px;
    margin-bottom: 20px;
    position: relative;
    top: 0;
    left: 0;
}

.enlace-nomada {
    left: 50%;
    margin-left: -85px; /* Mitad del ancho del elemento */
}

/* Estilos Arabia */

.fondo-arabia {
    box-sizing: border-box;
  padding: 50px 0;
  background-image: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url('../images/fondo_arabia.png');
  background-position: center;
  background-size: cover;
}

.fondo-arabia-teams {
  padding: 50px 0;
  background-image: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url('../images/fondo_arabia_equipos.png');
  background-position: center;
  background-size: cover;
}

.hero-text-arabia {
    font-size: 16px;
}

.container-teams {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.hero-subtitle-arabia, .categoria-subtitle {
    text-align: center;
    color: var(--marigold);
    font-size: var(--fs-8);
    font-weight: var(--fw-700);
    text-transform: uppercase;
}

.cat5k {
    font-size: 18px;
    font-weight: 800;
    padding: 10px 20px;
    background-color: #0000ff;
    color: #fff;

}

.cat6k {
    font-size: 18px;
    font-weight: 800;
    padding: 10px 20px;
    background-color: #ff0000;
    color: #fff;
}

.teams-categoria {
    margin-top: 50px;
}

.teams-inscritos {
    width: 100%;
    padding: 30px 5%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
}

.teams-info {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    width: 200px;
    text-align: center;
    margin: 20px 0;
}

.teams-logo {
    
    z-index: 10;
    transform: translateY(5px);
}

.teams-logo img {
    height: 120px;
}

.teams-nombre {
    width: 90%;
}

.btn-arabia  {
  color: var(--eerie-black-1);
  font-size: 14px;
  text-transform: uppercase;
  font-weight: var(--fw-700);
  padding: 5px 20px;
  display: inline-block;
  width: 90%;
}

.logo-arabia img {
    width: 350px;
}

/* Estilos Stream */
.stream-partida {
    box-sizing: border-box;
    width: 100%;
    margin-top: 40px;
    padding: 20px 0px;
    display: flex;
    justify-content: space-evenly;
    align-items: flex-start;
    flex-wrap: wrap;
}

.stream-partida-info {
    width: 50%;
    box-sizing: border-box;
    padding: 0 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;

}

.stream-info-teams {
    width: 100%;
    box-sizing: border-box;
    padding: 0 20px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;

}

.stream-info {
    width: 45%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}

.stream-team-logo {
    z-index: 10;

}

.stream-team-logo img {
    height: 100px;
    transform: translateY(5px);

}

.versus {
    width: 10%;
}

.versus img {
    width: 100%;
}

.stream-enlaces {
    width: 100%;
    padding: 20px;
    color: #fff;
    font-weight: 600;
    font-size: 16px;
    text-align: center;
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.streamer-logo {
    width: 70px;
}

.stream-info .teams-nombre button {
    font-size: 12px;
}

/* Estilos ventana modal */

    .modal {
      display: none;
      position: fixed;
      z-index: 100;
      left: 0; top: 0;
      width: 100%; height: 100%;
      background-color: rgba(0,0,0,0.5);
    }

    .modal h3 {
        margin-bottom: 10px;
    }
    .modal-content {
      background: #fff;
      margin: 15% auto;
      padding: 20px;
      width: 600px;
      border-radius: 8px;
      overflow-x: scroll;
    }
    .modal-content table tr th {
        background-color: var(--marigold);
        padding: 0 5px;
    }
    .modal-content table tr td {
        border-bottom: 1px solid #000;
    }
    .close {
      float: right;
      cursor: pointer;
      font-weight: bold;
    }

.enlace-arabia {
    display: inline-block;
    left: 0;
    width: 150px;
    margin-right: 40px;
}

.enlace-inscripcion {
    width: 120px;
    font-size: 14px;
    padding: 5px 5px;
}

.btn-inscripciones {
    display: flex;
    justify-content: space-around;
    align-items: center;  
}

.section-elite {
    padding: 30px;
}

.info-main {
    box-sizing: border-box;
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding: 50px 20px;
}

.info-header {
    width: 100%;
    margin: 50px 0;
}

.info-header h2 {
    font-size: 36px;
}

.info-header p {
    text-align: center;
    color: var(--light-gray-2);
    font-size: 18px;
    margin-block-end: 45px;
    padding: 0 5%;
    margin: 20px 0;
    width: 100%;
}

.info-body {
    box-sizing: border-box;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items:first baseline;
}

.info-card {
    width: 30%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.info-card img {
    height: 250px;
    margin-bottom: 30px;
}

.info-card-h2, a {
    margin-bottom: 10px;
}

.info-card-h2 {
    color: var(--white);
    font-family: var(--ff-oxanium);
    font-weight: var(--fw-800);
    line-height: 1;
    font-size: 24px;
    width: 100%;
    text-align: center;
}

.info-card-h2 span {
    display: inline-block;
    color: var(--marigold);
}

.info-card a {
    height: auto;
    padding: 10px 20px;
    font-size: 14px;
}

/* Media queries */

@media screen and (min-width:1367px) {
    .stream-partida {
        width: 70%;
    }
}
@media screen and (max-width:768px) {

    .info-card a {
        font-size: 14px;
        padding: 5px 10px;
    }

    .modal-content {
      width: 600px;
    }

    .botones {
        margin: 0 auto;
        text-align: center;
    }

    .enlace {
        width: 200px;
    }

    .info-header p {
        font-size: 16px;
    }

    .info-card-h2 {
        font-size: 20px;
    }

    .info-card img {
        height: 150px;
        margin-bottom: 30px;
    }

    .enlace {
        width: 120px;
        left: 0;
    }

    .enlace-nomada {
        position: relative;
        left: 50%;
        margin-left: -75px; /* Mitad del ancho del elemento */
        width: 150px;
    }

    .modal-content {
        width: 500px;
    }

        .stream-partida {
            box-sizing: border-box;
            padding: 0;
        }
    
        .stream-info-teams {
            width: 100%;
            box-sizing: border-box;
            padding: 0 10px;
        }
    
        .stream-partida-info {
            width: 70%;
            padding: 0 0px;
        }
    
        .stream-info {
            width: 45%;
            align-items: center;
        }
    
        .versus {
            width: 10%;
        }
    
        .stream-info .teams-nombre {
            width: 90%;
        }
    
        .stream-info .teams-nombre button {
            font-size: 12px;
        }
}

@media screen and (max-width:480px) {

    .section-elite {
        padding: 30px 5px;
    }

    .modal-content {
      width: 350px;
    }
    .enlace {
        position: relative;
        left: 0;
        width: 120px;
    }

    .enlace-nomada {
        position: relative;
        left: 50%;
        margin-left: -60px; /* Mitad del ancho del elemento */
        width: 120px;
    }

    .enlace-arabia {
        display: inline-block;
        left: 0;
        width: 110px;
        font-size: 14px;
        margin: 0 40px 0 20px;
    }

    .info-main {
        padding: 50px 0 20px 0;
        text-transform: uppercase;
    }

    .info-header {
        width: 100%;
        margin: 50px 0 10px 0;
    }

    .info-header h2 {
        font-size: 24px;
    }

    .info-body {
        flex-direction: column;
        padding: 0 40px 0 20px;
    }

    .info-card {
        width: 100%;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;

    }

    .info-card img {
        order: 1;
        height: 110px;
        margin-bottom: 30px;
    }

    .info-card-h2 {
        order: 2;
        margin-left: 10px;
        text-align: left;
        font-size: 17px;
        
    }

    .info-card a {
        order: 3;
        font-size: 12px;
        height: auto;
        padding: 5px;
    }

    .info-header p {
        font-size: 14px;
        margin-block-end: 45px;
        padding: 0 10%;
        margin: 20px 0;
        width: 100%;
    }

    .teams-info {
        width: 150px;
    }

        .stream-partida {
            box-sizing: border-box;
            padding: 0;
        }
    
        .stream-info-teams {
            width: 100%;
            box-sizing: border-box;
            padding: 0 10px;
        }
    
        .stream-partida-info {
            width: 100%;
            padding: 0 0px;
        }
    
        .stream-info {
            width: 45%;
            align-items: center;
        }
    
        .versus {
            width: 10%;
        }
    
        .stream-info .teams-nombre {
            width: 90%;
        }
    
        .stream-info .teams-nombre button {
            font-size: 12px;
        }

} 
